summaryrefslogtreecommitdiff
path: root/functions
diff options
context:
space:
mode:
authorChris Lamb <chris@chris-lamb.co.uk>2008-08-07 20:06:39 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:03:37 +0100
commitb07f1ccc01ff033baf6fb2ccef48778957b3f89e (patch)
tree1c147b2570b9a477f1c56b3e6cb9952f5ce7a1ba /functions
parent38a545b3d186e72677cacc0ce56801e3acead821 (diff)
downloadlive-build-b07f1ccc01ff033baf6fb2ccef48778957b3f89e.zip
live-build-b07f1ccc01ff033baf6fb2ccef48778957b3f89e.tar.gz
Print a warning when package caching is disabled but d-i integration is enabled.
Diffstat (limited to 'functions')
-rwxr-xr-xfunctions/defaults.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/functions/defaults.sh b/functions/defaults.sh
index 4bf3f74..b8be125 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -686,4 +686,15 @@ Check_defaults ()
Echo_warning "used in the stripped/minimal package lists."
fi
fi
+
+ if [ "${LH_DEBIAN_INSTALLER}" != "disabled" ]
+ then
+ if ! echo ${LH_CACHE_STAGES} | grep -qs "bootstrap\b" || [ "${LH_CACHE}" != "enabled" ] || [ "${LH_CACHE_PACKAGES}" != "enabled" ]
+ then
+ Echo_warning "You have selected values of LH_CACHE, LH_CACHE_PACKAGES, LH_CACHE_STAGES and"
+ Echo_warning "LH_DEBIAN_INSTALLER which will result in 'bootstrap' packages not being"
+ Echo_warning "cached. This is a possible unsafe configuration as the bootstrap packages"
+ Echo_warning "are re-used when integrating the Debian Installer."
+ fi
+ fi
}